Web lists-archives.com

Re: [ANNOUNCEMENT] Updated: mintty 2.9.9




On Wed, 2019-03-27 at 15:51 -0700, Steven Penny wrote:
> On Wed, 27 Mar 2019 21:02:47, Thomas Wolff wrote:
> >  >>> mintty requires: bash cygwin
> > I remember some discussion that the cygwin dependency, which most 
> > packages have, should not (or does not need to be) listed.
> > And in fact, mintty does not depend on bash. Why does cygport think so?
> 
> Uh, Mintty definitely *does* depend on Bash, what makes you think it doesnt?
> As a simple test case, rename Bash and try to run Mintty. You get this:
> 
> Failed to run '/bin/bash': No such file or directory
> /bin/bash: Exit 126.

"Only" if /bin/bash is your preferred shell.  Granted, that's the
default, and what most users would want anyway, but that is not
strictly speaking a mintty dependency.  As I mentioned in my response,
the auto-detected dependency on bash is from mintheme.

--
Yaakov



--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple